Page MenuHomePhabricator

dbtree broken
Closed, ResolvedPublic

Description

https://dbtree.wikimedia.org/
https://dbtree.wikimedia.org/inc/jquery-1.11.3.min.js -> 403
causes Uncaught ReferenceError: $ is not defined

Details

Related Gerrit Patches:
operations/software/dbtree : masterFixup for If0078124

Related Objects

Event Timeline

Krenair created this task.Oct 27 2016, 7:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2016, 7:57 PM
jcrespo moved this task from Triage to Backlog (help welcome) on the DBA board.Oct 28 2016, 1:12 PM
Dzahn added a subscriber: Dzahn.Nov 2 2016, 3:30 PM

Pretty sure it wasn't that change and dbtree still worked after that since that was month ago.

I think it probably has to do more with the move of noc/dbtree from mw1152 (back) to terbium.

Joe added a subscriber: Joe.Nov 2 2016, 3:43 PM

Pretty sure it wasn't that change and dbtree still worked after that since that was month ago.
I think it probably has to do more with the move of noc/dbtree from mw1152 (back) to terbium.

Pretty sure it is, though. Remember the js was probably cached on varnish.

Joe claimed this task.Nov 2 2016, 3:47 PM

Change 319346 had a related patch set uploaded (by Giuseppe Lavagetto):
Fixup for If0078124

https://gerrit.wikimedia.org/r/319346

Change 319346 merged by Giuseppe Lavagetto:
Fixup for If0078124

https://gerrit.wikimedia.org/r/319346

Joe added a comment.Nov 2 2016, 4:00 PM

https://dbtree.wikimedia.org/?nocache already works correctly after my change, the base url should be purged.

Mentioned in SAL (#wikimedia-operations) [2016-11-02T16:08:22Z] <_joe_> banning dbtree.wikimedia.org on cache_misc, T149357

Joe closed this task as Resolved.Nov 2 2016, 4:08 PM
Joe triaged this task as High priority.